<?xml version="1.0" encoding="UTF-8"?>
<model xmlns="http://www.nomoseed.org/model" name="tutorial_4">
  <header xmlns="http://www.nomoseed.org/project">
    <author>Cédric Coussinet (cedric.coussinet@nomoseed.net)</author>
    <copyright>
      <mention xml:lang="en">
        Copyright (2013) Cédric Coussinet
      </mention>
    </copyright>
    <license name="GPLv3">
      <mention xml:lang="en">
        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published
        by the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program. If not, see http://www.gnu.org/licenses
      </mention>
    </license>
    <datetime>2013-10-21T16:48:19Z</datetime>
    <version/>
    <annotation>
      <documentation xml:lang="fr">
        Modèle utilisée dans le cadre de la première partie du tutoriel. 
      </documentation>
    </annotation>
  </header>
  <base>
    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="../../../models/worldsquare.mod"/>
  </base>
  <definition>
    <annotation xmlns="http://www.nomoseed.org/project">
      <documentation xml:lang="fr">
        Modèle correspondant à l'exemple de création d'une perception avec sélection indirecte dans le cadre du tutoriel sur la création de règle.
      </documentation>
    </annotation>
    <plant_structure others_registers_nbr="2">
      <input>
        <operator_type>
          <item name="create_premise_1">
            <premise>
              <informations tolerance="0.1"/>
            </premise>
          </item>
          <item name="create_premise_2">
            <premise>
              <informations tolerance="0.3"/>
            </premise>
          </item>
        </operator_type>
        <scope_type>
          <item name="hue">
            <target category="input" model="this" type="hue"/>
          </item>
        </scope_type>
      </input>
      <other>
        <operator_type>
          <item name="create_conclusion_1">
            <conclusion relevance="0.5" fitting_nbr="2"/>
          </item>
          <item name="create_conclusion_2">
            <conclusion relevance="1.0" fitting_nbr="INF"/>
          </item>
        </operator_type>
        <scope_type>
          <item name="perception">
            <target category="perception" model="this" type="*"/>
          </item>
        </scope_type>
      </other>
    </plant_structure>
    <command_type name="motor">
      <items>
        <item name="advance"/>
        <item name="turn_left"/>
        <item name="turn_right"/>
        <item name="capture"/>
        <item name="depose"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </command_type>
    <perceptive_structure name="hue">
      <items>
        <item name="default"/>
        <item name="red"/>
        <item name="green"/>
        <item name="blue"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="spheres_number">
      <items/>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="strength">
      <items>
        <item name="failed"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="random">
      <items/>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="sound">
      <command_type>
        <items>
          <item name="red"/>
          <item name="green"/>
          <item name="blue"/>
        </items>
      </command_type>
      <items>
        <item name="default"/>
        <item name="red"/>
        <item name="green"/>
        <item name="blue"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="sonar">
      <items>
        <item name="front_only"/>
      </items>
      <components>
        <component name="left"/>
        <component name="front"/>
        <component name="right"/>
        <component name="back"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="bumper">
      <items/>
      <components>
        <component name="left"/>
        <component name="front"/>
        <component name="right"/>
        <component name="back"/>
      </components>
    </perceptive_structure>
  </definition>
</model>
